SDL_ReleaseGPUGraphicsPipeline(3)

NAME
SDL_ReleaseGPUGraphicsPipeline - Frees the given graphics pipeline as soon as it is safe to do so.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_ReleaseGPUGraphicsPipeline(
    SDL_GPUDevice *device,
    SDL_GPUGraphicsPipeline *graphics_pipeline);

DESCRIPTION
You must not reference the graphics pipeline after calling this function.

FUNCTION PARAMETERS

device
    a GPU context.

graphics_pipeline
    a graphics pipeline to be destroyed.

AVAILABILITY
This function is available since SDL 3.2.0.